# frozen_string_literal: true

require_relative 'endpoints/base'
require_relative 'endpoints/wires'
require_relative 'endpoints/ach'
require_relative 'endpoints/token'

module WellsFargo
  module Endpoints
    def wires
      Wires.new(self)
    end

    def ach
      ACH.new(self)
    end

    def token
      Token.new(self)
    end
  end
end
