# frozen_string_literal: true

module WellsFargo
  module Endpoints
    class Token < Base
      def generate(scope)
        client.execute(
          :post, 'token',
          headers: headers,
          body: {
            grant_type: 'client_credentials',
            scope: scope
          }
        )
      end

      private

      def headers
        {
          'Content-Type' => 'application/x-www-form-urlencoded',
          'Content-Length' => 0
        }
      end
    end
  end
end
